import axios from 'axios';

export const KSDocumentService = {
    /**
     * Recupera tutti i KSDocument per il progetto selezionato dall'utente corrente
     * @returns {Promise} Promise con la lista di KSDocument
     */
    getKSDocuments() {
        return axios.get('/ksDocuments');
    },

    /**
     * Recupera tutti i KSDocument completati per il progetto selezionato dall'utente corrente
     * @returns {Promise} Promise con la lista di KSDocument completati
     */
    getCompletedKSDocuments() {
        return axios.get('/ksDocuments/completed');
    },

    /**
     * Recupera tutti i KSDocument per un progetto specifico
     * @param {string} projectId - ID del progetto
     * @returns {Promise} Promise con la lista di KSDocument
     */
    getKSDocumentsByProject(projectId) {
        return axios.post('/ksDocuments/byProject', projectId);
    }
};
